org.apache.cassandra.db.filter

## Enum ClusteringIndexFilter.Kind

- java.lang.Object
- - java.lang.Enum<ClusteringIndexFilter.Kind>
  - - org.apache.cassandra.db.filter.ClusteringIndexFilter.Kind

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ClusteringIndexFilter.Kind>

Enclosing interface:
  ClusteringIndexFilter

    public static enum ClusteringIndexFilter.Kind
    extends java.lang.Enum<ClusteringIndexFilter.Kind>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`NAMES`
`SLICE`

### Field Summary

Fields
`protected ClusteringIndexFilter.InternalDeserializer` `deserializer`

### Method Summary

All Methods Static Methods Concrete Methods
`static ClusteringIndexFilter.Kind` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ClusteringIndexFilter.Kind[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SLICE

    public static final ClusteringIndexFilter.Kind SLICE

#### NAMES

    public static final ClusteringIndexFilter.Kind NAMES

### Field Detail

#### deserializer

    protected final ClusteringIndexFilter.InternalDeserializer deserializer

### Method Detail

#### values

    public static ClusteringIndexFilter.Kind[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ClusteringIndexFilter.Kind c : ClusteringIndexFilter.Kind.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ClusteringIndexFilter.Kind valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null